// Clears the D
function sidarext_clearDoc()
{
    window.opener.sidarext_docDescription = null;
    window.opener.sidarext_docKey         = null;
    window.opener.sidarext_docURL         = null;
}

// Initializes the Doc dialog box
function sidarext_initializeDoc()
{
    const stringBundle = document.getElementById("sidarext-string-bundle");

    // If the first argument equals add
    if(window.arguments[0] == "add")
    {
        title = stringBundle.getString("sidarext_addDocTitle");
    }
    else
    {
        title = stringBundle.getString("sidarext_editDocTitle");

        document.getElementById("sidarext.doc.description").value = window.arguments[1];
        document.getElementById("sidarext.doc.key").value         = window.arguments[3];
        document.getElementById("sidarext.doc.url").value         = window.arguments[2];
    }
}

// Saves the Doc
function sidarext_saveDoc()
{
    const description  = document.getElementById("sidarext.doc.description").value.trim();
    const key          = document.getElementById("sidarext.doc.key").value.trim();
    const stringBundle = document.getElementById("sidarext-string-bundle");
    const url          = document.getElementById("sidarext.doc.url").value.trim();

    var errors = "";

    // If the description is empty
    if(!description)
    {
        errors += stringBundle.getString("sidarext_emptyDescription") + "\n";
    }

    // If the URL is empty
    if(!url)
    {
        errors += stringBundle.getString("sidarext_emptyURL") + "\n";
    }

    // If there are errors
    if(errors)
    {
        alert(errors.trim());
        return false;
    }
    else
    {
        window.opener.sidarext_docDescription = description;
        window.opener.sidarext_docKey         = key;
        window.opener.sidarext_docURL         = url;

        return true;
    }
}
